jQuery(document).ready(function() {
    
     $('#btnLimpar').click(function(){
        $(".form-padrao").find(':input').each(function() {
            switch(this.type) {
                case 'password':
                case 'text':
                case 'file':
                    $(this).val('');
                    break;
                case 'textarea':
                    tinyMCE.getInstanceById('texto').setContent('');
                    break;
                case 'select-multiple':
                case 'select-one':
                    $(this).find('option:first').attr('selected', 'selected').parent('select');
                    break;   
                case 'checkbox':
                case 'radio':
                    this.checked = false;
            }
        })

        $(".form-busca").find(':input').each(function() {
            switch(this.type) {
                case 'password':
                case 'text':
                case 'file':
                    $(this).val('');
                    break;
                case 'textarea':
                    tinyMCE.getInstanceById('texto').setContent('');
                    break;
                case 'select-multiple':
                case 'select-one':
                    $(this).find('option:first').attr('selected', 'selected').parent('select');
                    break;   
                case 'checkbox':
                case 'radio':
                    this.checked = false;
            }
        });
        
     });

    /* *o formulário da classe 'form-padrao' deve possuir inputs com ids iguais
    // *ao nome do campo que correspondem na base de dados. Deve-se ainda referenciar a tabela que
    *a qual se referem.*/ 

     $('.form-padrao').ready(function(){
        $('#btnSubmit').click( function(){
            
            // if ($('#capa').val()!='') {
            //     alert('Ta Chegando');
            //     var arquivo = $('#btnUpload');
            // }

            tinyMCE.triggerSave();

            var dadosFormulario = $('.form-padrao').serialize();
            $.ajax({
                url: 'controladores/atualiza-site/insert-padrao.php',
                type: 'POST',
                data: dadosFormulario,
                // beforeSend: function (xhr) { xhr.setRequestHeader (“X_FILENAME”, arquivo.name); },
                success: function(data){
                    $('#divResultado').html(data);
                }
            });
        })

        $('#btnUpdate').click( function(){

            
            tinyMCE.triggerSave();

            var dadosFormulario = $('.form-padrao').serialize();
            $.ajax({

                url: 'controladores/atualiza-site/update-padrao.php',
                type: 'POST',
                data: dadosFormulario,
                success: function(data){
                    $('#divResultado').html(data);
                }
            });
        });
    });

    
});
